%define _name tuxtype

Name: tuxtype2
Version: 1.5.3
Release: alt3

Summary: Tux Typing - Graphical, educational typing tutorial game
Summary(ru_RU.KOI8-R):      
Group: Games/Educational
License: GPL
Url: http://tuxtype.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%_name-%version.tar.bz2
Source1: %_name-48x48.xpm
Source2: %_name-32x32.xpm
Source3: %_name-16x16.xpm

# Thanks Anton Boyarshinov
Patch: %name-1.5.3-alt-locale.patch
Patch1: %name-1.5.3-alt-russian.patch
# Thanks FC6
Patch2: %name-%version-checks.patch

# Automatically added by buildreq on Sun May 27 2007
BuildRequires: gcc-c++ libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel libX11-devel

%description
Educational typing tutor starring Tux, the Linux Penguin. Object of
the game is to catch fish as they drop from the top of the screen.
Each fish has a letter or a word written on it, and Tux eats the fish
by the player pressing the associated key or typing the appropriate
word. Intended to be cute and fun for children learning to type and
spell.

%description -l ru_RU.KOI8-R
Tux Typing - -    
 .

%prep
%setup -q -n %_name-%version
%patch
%patch1
%patch2

# fix paths
find ./ -type f -print0|xargs -r0 \
%__subst 's,\/usr\/share,%_gamesdatadir,g
s,\$(prefix)\/share,%_gamesdatadir,g' --

%build
%__autoreconf
%configure \
	--datadir=%_gamesdatadir \
	--bindir=%_gamesbindir \

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_desktopdir/
cat <<EOF > %buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Name=Tux Typing
Comment=An educational typing tutor for children.
Exec=tuxtype2
Icon=tuxtype.xpm
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Game;Application;
EOF

install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

# move html docs in separate folder
mkdir HTML
cp %_name/docs/en/*.html HTML
rm -rf %buildroot%prefix/doc/

%post
%update_menus

%postun
%clean_menus

%files
%_gamesbindir/%name
%_gamesdatadir/%name
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
%_desktopdir/%name.desktop
%doc README AUTHORS TODO
%doc %_name/data/*/*.TXT* HTML

%changelog
* Thu Jul 05 2007 Vitaly Lipatov <lav@altlinux.ru> 1.5.3-alt3
- enable russian input (hack bug #8535)

* Sun May 27 2007 Vitaly Lipatov <lav@altlinux.ru> 1.5.3-alt2
- cleanup spec, change mantainer
- replace Debian menu with desktop file
- add some checks for SDL errors

* Wed Jul 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.3-alt1
- fixed menu file.

* Tue May 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.3-alt0.5
- tuxtype2-1.5.3 from CVS.
- fixed for none-C locale input by Anton Boyarshinov.

* Wed Apr 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt4
- rebuild with latest directfb.

* Fri Mar 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt3
- rebuild with new directfb.

* Sun Nov 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt2
- Rebuilt with new libdirectfb.

* Mon Sep 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu May 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt4
- Rebuilt (wrong dependence on oldalsa fixed, libSDL requires libalsa2)
- BuildRequires updated.

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt3
- cleanups

* Mon Jan 14 2002 Yuri N. Sedunov <aristarh@altlinux.ru> 1.0.1-alt2
- Some spec cleanups.
- Russian summary and description added.

* Fri Nov 9 2001 Yuri N. Sedunov <aristarh@altlinux.ru> 1.0.1-alt1
- First build for Sisyphus.
